> For the complete documentation index, see [llms.txt](https://docs.defi.app/knowledge-base/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defi.app/knowledge-base/ko/reference/solana-transaction-tx-modes.md).

# Solana 트랜잭션(TX) 모드

Solana에서는 다음 중에서 **Auto**, **Jito**, 그리고 **Classic** 트랜잭션(TX) 모드는 트랜잭션이 처리되는 방식을 결정하며, 특히 속도, 안정성, 그리고 [MEV ](#user-content-fn-1)[^1]전략.

***

## Jito란 무엇인가요?

**Jito** 는 Jito Labs에서 개발한 고급 Solana 검증자 클라이언트입니다 [Jito Labs](https://www.jito.wtf/), MEV 처리를 최적화하도록 설계되었습니다.

Jito를 사용하면 사용자는 트랜잭션 번들을 제출할 수 있으며, 이 번들은 원자적으로, 순서대로 실행됩니다. 즉, 번들에 포함된 모든 트랜잭션은 함께 성공하거나 함께 실패하므로, 복잡한 작업에서도 일관성과 예측 가능성을 보장합니다.

검증자에게 인센티브를 제공하기 위해 사용자는 **팁** (추가 수수료)를 번들에 첨부하며, 이후 이 팁을 기준으로 우선순위가 정해집니다.

이 TX 모드는 정밀한 트랜잭션 순서 지정과 실행에 유용합니다.

***

## 트랜잭션 모드

* **Auto**: 이 모드는 현재 네트워크 상태에 따라 최적의 트랜잭션 경로를 자동으로 선택합니다. 속도, 비용, 안정성의 균형을 맞추기 위해 Jito 또는 Classic 모드 중에서 선택할 수 있습니다.
* **Jito**: 이 모드는 Jito 지원 검증자를 통해 트랜잭션을 라우팅하며, 번들링과 팁 시스템을 활용합니다. 원자적 실행과 트랜잭션 순서가 중요한 상황에 유용합니다.
* **Classic**: 이 전통적인 모드는 Jito가 제공하는 향상 기능 없이 표준 Solana 네트워크를 통해 트랜잭션을 전송합니다. 고급 MEV 보호와 번들링이 필요 없는 단순한 트랜잭션에 적합합니다.

사용 사례에 따라 Solana에서 트랜잭션 전략을 구성하고, 속도, 안정성, MEV 관련 이슈에 대한 보호를 최적화하세요. 어떤 모드를 사용해야 할지 확실하지 않다면 **Auto**.

[^1]: 최대 추출 가능 가치


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defi.app/knowledge-base/ko/reference/solana-transaction-tx-modes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
